Page MenuHomePhorge

D3283.1775433950.diff
No OneTemporary

Authored By
Unknown
Size
846 B
Referenced Files
None
Subscribers
None

D3283.1775433950.diff

diff --git a/docker/kolab/utils/09-enable-debugging.sh b/docker/kolab/utils/09-enable-debugging.sh
--- a/docker/kolab/utils/09-enable-debugging.sh
+++ b/docker/kolab/utils/09-enable-debugging.sh
@@ -1,11 +1,18 @@
#!/bin/bash
-echo "chatty: 1" >> /etc/imapd.conf
-echo "debug: 1" >> /etc/imapd.conf
+if ! grep -q "chatty" /etc/imapd.conf; then
+ echo "chatty: 1" >> /etc/imapd.conf
+fi
+
+if ! grep -q "debug" /etc/imapd.conf; then
+ echo "debug: 1" >> /etc/imapd.conf
+fi
systemctl restart cyrus-imapd
sed -i -r -e "s/_debug'] = (.*);/_debug'] = true;/g" /etc/roundcubemail/config.inc.php
-echo "FLAGS=\"--fork -l debug -d 8\"" > /etc/sysconfig/wallace
+if ! grep -q "FLAGS=\"--fork -l debug -d 8\"" /etc/sysconfig/wallace; then
+ echo "FLAGS=\"--fork -l debug -d 8\"" > /etc/sysconfig/wallace
+fi
systemctl restart wallace

File Metadata

Mime Type
text/plain
Expires
Mon, Apr 6, 12:05 AM (1 d, 4 h ago)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
18768651
Default Alt Text
D3283.1775433950.diff (846 B)

Event Timeline